language: php
php:
  - "7.2"

env:
  - DOKUWIKI=stable

before_install:
  - wget https://raw.github.com/splitbrain/dokuwiki-travis/master/travis.sh

install:
  - if [[ $TRAVIS_PHP_VERSION > '7.1' ]]; then wget -O ~/.phpenv/versions/$(phpenv version-name)/bin/phpunit https://phar.phpunit.de/phpunit-7.phar; fi
  - if [[ $TRAVIS_PHP_VERSION > '7.1' ]]; then chmod 755 ~/.phpenv/versions/$(phpenv version-name)/bin/phpunit; fi
  - sh travis.sh

script:
  - cd _test && phpunit --stderr --group plugin_webcomponent --verbose --debug

notifications:
  email:
    - gerardnico@gmail.com
